## paperwork 1.0.6

=== debian/changelog ===
paperwork (1.0.6-1) mx; urgency=medium

  * Initial build for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Jan 2017 13:57:03 -0500
