=== debian/control ===
Source: paperwork
Maintainer: Jerome Flesch <jflesch@openpaper.work>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all, python3-pip, python3-pil, python-imaging, debhelper (>= 9), libenchant-dev (>= 1.6)
Standards-Version: 3.9.1

Package: python3-paperwork
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-poppler-0.18, python3-paperwork-backend
Description: Using scanner and OCR to grep dead trees the easy way (Linux
 Paperwork is a tool to make papers searchable.
 .
 The basic idea behind Paperwork is "scan & forget" : You should be able to
 just scan a new document and forget about it until the day you need it
 again.
 Let the machine do most of the work.
 .
 Main features are:
 - Scan
 - Automatic orientation detection
 - OCR
 - Indexing
 - Document labels
 - Automatic guessing of the labels to apply on new documents
 - Search
 - Keyword suggestions
 - Quick edit of scans
 - PDF support
 .
