## paperwork 1.2.1

=== debian/changelog ===
paperwork (1.2.1-0) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 26 Aug 2017 17:03:08 -0400

paperwork (1.1-0mx15+1) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Tue, 31 Jan 2017 19:08:17 -0500
