=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Jerome Flesch <jflesch@openpaper.work>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all, python3-pip, python3-pil, python-imaging, debhelper (>= 9), libenchant-dev (>= 1.6)
-Standards-Version: 3.9.1
+Build-Depends: python3-setuptools, python3-all, python3-pip, python3-pil, python-imaging, python3-pyocr, python3-pypillowfight, python3-pyinsane2, python3-paperwork-backend, debhelper (>= 9), libenchant-dev (>= 1.6), inkscape
+Standards-Version: 4.1.0
 
 Package: python3-paperwork
 Architecture: all
