=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=paperwork
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	debian/moveicons.sh
	dh_install
