## paperwork 1.3.1

=== debian/changelog ===
paperwork (1.3.1-2) unstable; urgency=medium

  * Remove debian packaging author
  * debian/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * Source only upload (Closes: #951633)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 19 Feb 2020 19:47:54 +0100

paperwork (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * debian/patches: add missing upstream changelog entries about 1.3.1
  * debian: Add upstream changelogs to packages docs
  * debian/control: add spanish translation package
  * debian/copyright: set forum url as upstream contact

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 28 Dec 2019 20:29:17 +0100

paperwork (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #721287)

 -- Thomas Perret <thomas.perret@phyx.fr>  Thu, 19 Dec 2019 13:02:45 +0100
