=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_VERBOSE=1

ICON_SIZES := $(shell ls paperwork-gtk/data/paperwork_*.png | cut -d'_' -f2 | cut -d'.' -f1 | grep -v 100)

paperwork-backend/paperwork_backend/_version.py: debian/_version.py.paperwork-backend.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@

paperwork-gtk/src/paperwork/_version.py: debian/_version.py.paperwork-gtk.in
	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@
	echo >> $@
	cat AUTHORS.py >> $@

debian/paperwork-gtk.install: debian/paperwork-gtk.install.in
	cp $< $@
	for iconsize in $(ICON_SIZES); do \
		mkdir -p debian/tmp/$$iconsize; \
		cp paperwork-gtk/data/paperwork_$$iconsize.png debian/tmp/$$iconsize/work.openpaper.Paperwork.png; \
		echo "$$iconsize/work.openpaper.Paperwork.png /usr/share/icons/hicolor/$${iconsize}x$${iconsize}/apps/" >> $@; \
	done;

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean: paperwork-backend/paperwork_backend/_version.py paperwork-gtk/src/paperwork/_version.py
	dh_auto_clean -D paperwork-gtk --buildsystem=pybuild
	dh_auto_clean -D paperwork-backend --buildsystem=pybuild
	rm -f paperwork-backend/paperwork_backend/_version.py
	rm -f paperwork-gtk/src/paperwork/_version.py
	rm -f debian/paperwork-gtk.install

override_dh_auto_configure: paperwork-backend/paperwork_backend/_version.py paperwork-gtk/src/paperwork/_version.py
	dh_auto_configure -D paperwork-gtk --buildsystem=pybuild
	dh_auto_configure -D paperwork-backend --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -D paperwork-gtk --buildsystem=pybuild
	dh_auto_build -D paperwork-backend --buildsystem=pybuild
	rst2man debian/paperwork.rst debian/paperwork.1
	rst2man debian/paperwork-shell.rst debian/paperwork-shell.1

override_dh_auto_install: debian/paperwork-gtk.install
	mkdir -p debian/tmp
	cp paperwork-gtk/data/paperwork.svg debian/tmp/work.openpaper.Paperwork.svg; \
	dh_auto_install -D paperwork-gtk --buildsystem=pybuild
	dh_auto_install -D paperwork-backend --buildsystem=pybuild

override_dh_auto_test:

override_dh_compress:
	dh_compress -X.pdf

override_dh_missing:
	dh_missing --fail-missing
